Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker Class Reference

`#include <ImR_LocatorS.h>`

Inheritance diagram for POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker:

[legend]
Collaboration diagram for POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker:

[legend]
List of all members.

## Public Methods
| _TAO_Locator_Strategized_Proxy_Broker (void)
virtual | ~_TAO_Locator_Strategized_Proxy_Broker (void)
virtual::ImplementationRepository::_TAO_Locator_Proxy_Impl & | select_proxy (::ImplementationRepository::Locator *object ACE_ENV_ARG_DECL)
## Static Public Methods
_TAO_Locator_Strategized_Proxy_Broker * | the_TAO_Locator_Strategized_Proxy_Broker (void)
## Private Methods
void | create_proxy (int collocation_strategy ACE_ENV_ARG_DECL)
## Private Attributes
::ImplementationRepository::_TAO_Locator_Proxy_Impl * | proxy_cache_ [TAO_Collocation_Strategies::CS_LAST]
TAO_SYNCH_MUTEX | mutex_

## Constructor & Destructor Documentation

POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker::_TAO_Locator_Strategized_Proxy_Broker | ( | void |  | ) |

POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker::~_TAO_Locator_Strategized_Proxy_Broker | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker::create_proxy | ( | int collocation_strategy | ACE_ENV_ARG_DECL | ) | `[private]`

ImplementationRepository::_TAO_Locator_Proxy_Impl & POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker::select_proxy | ( | ::ImplementationRepository::Locator *object | ACE_ENV_ARG_DECL | ) |

POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker * POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker::the_TAO_Locator_Strategized_Proxy_Broker | ( | void |  | ) | `[static]`

## Member Data Documentation

TAO_SYNCH_MUTEX POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker::mutex_`[private]`

::ImplementationRepository::_TAO_Locator_Proxy_Impl* POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker::proxy_cache_[TAO_Collocation_Strategies::CS_LAST]`[private]`

The documentation for this class was generated from the following files:

- ImR_LocatorS.h
- ImR_LocatorS.cpp